@keyframes calendar_spinner_animation {
  to {
    transform: rotate(360deg);
  }
}
.event-calendar-spinner {
  display: none;
  height: 100%;
  left: 0;
  top: 0;
  position: absolute;
  width: 100%;
  z-index: 1000;
}
.event-calendar-spinner--active {
  display: block;
}
.event-calendar-spinner:before, .event-calendar-spinner:after {
  content: "";
  display: none;
  position: absolute;
}
.event-calendar-spinner:before {
  background: rgba(255, 255, 255, 0.7);
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  z-index: 1;
}
.event-calendar-spinner:after {
  animation: calendar_spinner_animation 0.8s linear infinite;
  border: 3px solid #0147b0;
  border-top-color: #fff;
  border-radius: 50%;
  display: none;
  height: 60px;
  left: 50%;
  margin-top: -30px;
  margin-left: -30px;
  top: 50%;
  width: 60px;
  z-index: 2;
}
.event-calendar-spinner:before, .event-calendar-spinner:after {
  display: block;
}

.event-calendar-wrapper {
  position: relative;
}

.event-calendar {
  color: #212121;
  font-size: 14px;
  min-height: 375px;
  min-width: 940px;
  width: 100%;
}
.event-calendar__toolbar {
  align-items: center;
  display: flex;
  flex-wrap: nowrap;
  margin: 10px 0;
  width: 100%;
}
.event-calendar__title {
  text-transform: capitalize;
}
.event-calendar__toolbar-title {
  font-size: 1.286em;
  margin: 0 10px;
}
.event-calendar__btn {
  margin: 0 10px;
}
.event-calendar__btn:first-child {
  margin-left: 0;
}
.event-calendar__btn:last-child {
  margin-right: 0;
}
.event-calendar__btn--today {
  margin-left: auto;
}
.event-calendar__calendar-grid {
  border-top: 2px solid #0147b0;
  border-right: 2px solid #0147b0;
}
.event-calendar__calendar-row {
  display: flex;
  flex-wrap: nowrap;
}
.event-calendar__day {
  border-left: 2px solid #0147b0;
  border-bottom: 2px solid #0147b0;
  position: relative;
  text-align: left;
  width: 14.2857142857%;
}
.event-calendar__day--weekday {
  font-weight: 600;
  padding: 20px 0;
  text-align: center;
  text-transform: uppercase;
}
.event-calendar__day--past .event-calendar__day__title {
  color: rgba(33, 33, 33, 0.5);
}
.event-calendar__day--today .event-calendar__day__title {
  color: #db1f26;
}
.event-calendar__day__title {
  justify-content: center;
  display: flex;
  font-size: 1.143em;
  font-weight: 600;
  margin: 20px 0;
}
.event-calendar__event {
  background: #fff;
  border: 2px solid #1e53ae;
  border-radius: 10px;
  box-sizing: border-box;
  color: #000;
  padding: 10px 8px;
  display: block;
  font-size: 1em;
  font-weight: 500;
  margin: 10px;
  text-decoration: none;
  position: relative;
  z-index: 2;
}
.event-calendar__event:nth-child(even) {
  background-color: #1e53ae;
  border: 2px solid #1e53ae;
  color: #fff;
}
.event-calendar__event:nth-child(odd) {
  background: #fff;
  border: 2px solid #1e53ae;
  color: #000;
}
.event-calendar__event:nth-child(3n) {
  border: 2px solid #212121;
  background-color: #eee;
  color: #212121;
}
.event-calendar__event--repeated {
  visibility: hidden;
}
.event-calendar__event--cross-1 {
  width: calc(100% - 20px);
}
.event-calendar__event--cross-2 {
  width: calc(200% - 20px);
}
.event-calendar__event--cross-3 {
  width: calc(300% - 20px);
}
.event-calendar__event--cross-4 {
  width: calc(400% - 20px);
}
.event-calendar__event--cross-5 {
  width: calc(500% - 20px);
}
.event-calendar__event--cross-6 {
  width: calc(600% - 20px);
}
.event-calendar__event--cross-7 {
  width: calc(700% - 20px);
}

/*# sourceMappingURL=main.css.map */
